
{-# LANGUAGE NoImplicitPrelude       #-}

import Data.String.Conversions (cs)
import Data.Text (Text)
import Graph.BAC.ProxemyOptim
import Graph.FGL
import Protolude
import Prelude (String)
import qualified Eigen.SparseMatrix as SMatrix
import qualified Prelude as Prelude

edges_test :: [(Int,Int)]
edges_test=[(0,1),(0,2),(0,4),(0,5),(0,3),(0,6)
           ,(1,2),(1,3),(2,3),(4,5),(4,6),(5,6)
           ,(7,8),(7,3),(7,4),(8,2),(8,5)
           ]


main_test :: IO ()
main_test = do
  let 
      g :: Graph () ()
      g = mkGraphUfromEdges edges_test
      n = length $ nodes g
      
{-
      a :: KnownNat n => AdjacencyMatrix n
      a = adjacent g' False
-}
  print $ withG g (Prelude.show  . (clusteringOptim 3 Conf))
